#### D.5.9.6 JuReTopDim

Procedure from library `numerDecom.lib` (see numerDecom_lib).

Return:
  t=1 if w on a d-dimensional component of V(I), otherwise t=0.

Example:

    LIB "numerDecom.lib";
    ring r=(complex,16,I),(x,y,z),dp;
    poly f1=(x2+y2+z2-6)*(x-y)*(x-1);
    poly f2=(x2+y2+z2-6)*(x-z)*(y-2);
    poly f3=(x2+y2+z2-6)*(x-y)*(x-z)*(z-3);
    ideal J=f1,f2,f3;
    list w=list(0.5372775295412116,-0.7105339291010922,-2.2817700129167831);
    def D=JuReTopDim(J,w,2,2);
    setring D;
    t;

User manual for Singular version 4.4.1, 2025, generated by texi2html.